List of all members
clan::Subtexture Class Reference
clanDisplay 2D

Sub-texture description. More...

`#include <subtexture.h>`

## Public Member Functions
Construction
| Subtexture ()
| Constructs a null instance. More...
| Subtexture (Texture2D texture, const Rect &geometry)
| Constructs a Subtexture. More...
| ~Subtexture ()
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
Texture2D | get_texture ()
| Returns the texture. More...
Rect | get_geometry () const
| Returns the part of the texture used by this object. More...

## Detailed Description

Sub-texture description.

The documentation for this class was generated from the following file:

- subtexture.h